#
# spec file for package herqq
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           herqq
Version:        1.0.0
Release:        20.4
Summary:        A Library for Building UPnP Devices and Control Points
License:        LGPL-3.0
Group:          Development/Libraries/Other
Url:            http://hupnp.linada.fi/
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM honour_lib_suffix.patch -- in USE_QT_INSTALL_LOC case
Patch0:         honour_lib_suffix.patch
BuildRequires:  fdupes
BuildRequires:  libqt4-devel >= 4.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Herqq UPnP (HUPnP) is a software library for building UPnP devices and control points conforming to the
UPnP Device Architecture version 1.1. It is designed to be simple to use and robust in operation.
It is built using C++ and the Qt Framework following many of the design principles and programming
practices used in the Qt Framework. It integrates into Qt-based software smoothly and enables truly
rapid UPnP development.

%package -n libHUpnp1
Summary:        A Library for Building UPnP Devices and Control Points
Group:          Development/Libraries/KDE

%description -n libHUpnp1
Herqq UPnP (HUPnP) is a software library for building UPnP devices and control points conforming to the
UPnP Device Architecture version 1.1. It is designed to be simple to use and robust in operation.
It is built using C++ and the Qt Framework following many of the design principles and programming
practices used in the Qt Framework. It integrates into Qt-based software smoothly and enables truly
rapid UPnP development.

%package -n libQtSolutions_SOAP-2_7-1
Summary:        SOAP client for Qt
Group:          Development/Libraries/KDE

%description -n libQtSolutions_SOAP-2_7-1
The Qt SOAP project provides basic web service support with
version 1.1 of the SOAP protocol.

%package devel
Summary:        The development files for herqq and libHUpnp1
Group:          Development/Libraries/KDE
Requires:       libHUpnp1 = %{version}
Requires:       libQtSolutions_SOAP-2_7-1 = %{version}
Requires:       libqt4-devel

%description devel
This is package provides development files and headers needed to build software using libherqq
or libHUpnp1

%prep
%setup -q
%patch0 -p1
# Fix wrong EOL encoding:
sed -i 's/\r//' hupnp/{LICENSE*.txt,lib/qtsoap-2.7-opensource/{LICENSE.*,README.TXT,LGPL_EXCEPTION.txt}}

%build
qmake -r PREFIX=%{_prefix} QMAKE_CXXFLAGS="%optflags -fvisibility-inlines-hidden" \
  -config DISABLE_TESTAPP -config USE_QT_INSTALL_LOC
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install

%post   -n libHUpnp1 -p /sbin/ldconfig

%postun -n libHUpnp1 -p /sbin/ldconfig

%post   -n libQtSolutions_SOAP-2_7-1 -p /sbin/ldconfig

%postun -n libQtSolutions_SOAP-2_7-1 -p /sbin/ldconfig

%files -n libHUpnp1
%defattr(-,root,root)
%doc hupnp/LICENSE_*.txt
%{_libdir}/libHUpnp.so.*

%files -n libQtSolutions_SOAP-2_7-1
%defattr(-,root,root)
%doc hupnp/lib/qtsoap-2.7-opensource/{LICENSE.*,README.TXT,LGPL_EXCEPTION.txt}
%{_libdir}/libQtSolutions_SOAP-2.7.so.*

%files devel
%defattr(-,root,root)
%doc hupnp/docs/html hupnp/ChangeLog
%{_includedir}/HUpnpCore/
%{_libdir}/libHUpnp.so
%{_libdir}/libQt*.so

%changelog
* Mon Dec 30 2013 hrvoje.senjan@gmail.com
- Fix upstream URL
- Drop not required obsoletes and provides: herqq-libs never existed
- Pass -config DISABLE_TESTAPP, -config USE_QT_INSTALL_LOC
  and PREFIX=%%{_prefix} options to qmake call
- added patches:
  * honour_lib_suffix.patch: makes libQtSolutions_SOAP honor
    install library suffix when using Qt location option
- Stop manually moving libs and includes due to above changes: not
  required anymore
* Wed Jan 25 2012 saschpe@suse.de
- Fix baselibs.conf
- Package documentation, fix EOL encoding
* Mon Jan 23 2012 crrodriguez@opensuse.org
- Respect %%optflags
- build with -fvisibility-inlines-hidden
- devel package requires libqt4-devel
* Sun Sep  4 2011 toddrme2178@gmail.com
- Changed library names to conform to openSUSE library packaging guidelines
- Changed summary and description of -devel package to reflect above changes
- Changed package groups
* Tue Aug 23 2011 toddrme2178@gmail.com
- Added -32bit compatibility package.  This was making libkde4-32bit uninstallable
- Added a provides for libHUpnp1, the proper name for the library
- Cleaned up spec file formatting
* Mon Jun 27 2011 toddrme2178@gmail.com
- RPMLINT fixes
* Tue May 17 2011 buschmann23@opensuse.org - 1.0.0
- BuildRequires libqt4-devel >= 4.6.0
* Tue May 17 2011 buschmann23@opensuse.org - 1.0.0
- Update to 1.0.0
* Mon Jan 10 2011 rwooninck@opensuse.org
- Update to 0.8.0
  * Major API improvements
  * Important optimizations
  * Bug Fixes
* Tue Oct 26 2010 tittiatcoke@gmail.com
- Initial version 0.7.0
